Sqlite3 und phpliteadmin probleme bei der Installation

  • Hallo Forum Mitlgieder,

    ich könnte eure Hilfe gebrauchen.

    Möchte eine sqlite3 Datenbank mit phpLiteAdmin auf meinen Raspberry installieren, leider bekomme ich das irgendwie nicht hin.

    Habe schon Tagelang gesucht aber leider nichts gefunden.

    Was habe ich bis jetzt gemacht. Einen Apache2 und PHP7.3 installiert, danach sqlite3 und phpLiteAdmin.

    Code
    sudo apt-get install apache2
    sudo apt-get install php7.3
    sudo apt-get install sqlite3
    sudo apt-get install php7.3-sqlite

    danach das Verzeichnis /var/www/html/sqlite angelegt in phpLiteAdmin entsprechend eingerichtet

    Code
    drwxr-xr-x 2 www-data www-data   4096 Feb 17 13:34 .
    drwxr-xr-x 3 root     root       4096 Feb 17 13:23 ..
    -rwxr-xr-x 1 www-data www-data   2787 Jun 28  2015 phpliteadmin.config.php
    -rwxr-xr-x 1 www-data www-data 252794 Sep  5 10:02 phpliteadmin.php
    pi@rapberry-Test:/var/www/html/sqlite $

    Im Anschluß wenn ich phpliteadmin.php aufrufe bekomme ich die Maske, das ich eine Datenbank einrichten soll. Auch soweit ist alles in Ordnung.


    Das Verzeichnis sieht dann so aus:

    Code
    drwxr-xr-x 2 www-data www-data   4096 Feb 17 13:34 .
    drwxr-xr-x 3 root     root       4096 Feb 17 13:23 ..
    -rwxr-xr-x 1 www-data www-data   4096 Feb 17 13:34 datenbank.db
    -rwxr-xr-x 1 www-data www-data   2787 Jun 28  2015 phpliteadmin.config.php
    -rwxr-xr-x 1 www-data www-data 252794 Sep  5 10:02 phpliteadmin.php
    pi@rapberry-Test:/var/www/html/sqlite $

    Habe auch schon entsprechend die Rechte hochgesetzt. Auch das hat nichts geholfen.

    Und danach kommt diese Maske und das war es.

    Ob ich eine neue Datenbank einrichte, oder eine bestehende in das Verzeichnis einfüge, das Ergebnis ist immer das gleiche.

    In der Log Datei von Apache2 gibt es auch eine Fehlermeldung, leider lann ich damit nichts anfangen, aber eventuell könnt ihr damit mehr anfangen.

    access.log.txt

    error.log.txt


    Ich hoffe ihr könnt damit etwas anfangen und mir helfen

    LG Robby

  • Ein : sudo apt install php-mbstring sollte helfen.

    Offizieller Schmier und Schmutzfink des Forum.
    Warum einfach wenn's auch schwer geht ?


    Kein Support per PN !
    Fragen bitte hier im Forum stellen. So hat jeder etwas davon.